## fonts-rit-sundar 2.0.0%2B20170909

=== debian/tests/control ===
Test-Command: make test
Depends: @, @builddeps@

## fonts-rit-sundar 2.0.0+20170909

=== Makefile ===
#!/usr/bin/make -f

fonts=RIT-Sundar
feature=features/features.fea
PY=python3
buildscript=tools/build.py
version=1.0
default: compile
all: compile test
compile:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version);\
		#fontforge -script $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version); \
	done;

webfonts:woff woff2
woff: compile
	@rm -f *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $$font.ttf;\
	done;
woff2: compile
	@rm -f *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $$font.ttf;\
	done;

ifeq ($(shell ls -l *.ttf 2>/dev/null | wc -l),0)
test: compile run-test
else
test: run-test
endif

run-test:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
kerntest:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/kerning.txt --output-file tests/$${font}.pdf;\
	done;
smalltest:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/small-test.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-* tests/*.pdf

=== debian/changelog ===
fonts-rit-sundar (2.0.0+20170909-2) unstable; urgency=medium

  * Team upload.

  [ Hideki Yamane ]
  * move to python3-* (Closes: #936541)
    also thanks to Adrian Bunk for the patch.

  [ Balasankar C ]
  * Use debhelper-compat virtual package
  * Bump Debhelper compatibility to 12
  * Bump Standards-Version to 4.5.0
  * Add upstream metadata file

 -- Balasankar C <balasankarc@debian.org>  Sun, 02 Feb 2020 05:45:44 +0530

fonts-rit-sundar (2.0.0+20170909-1) unstable; urgency=medium

  * Initial release (Closes: #897241)

 -- Sruthi Chandran <srud@disroot.org>  Mon, 30 Apr 2018 22:57:13 +0530

=== debian/control ===
Source: fonts-rit-sundar
Section: fonts
Priority: optional
Maintainer: Sruthi Chandran <srud@debian.org>
Build-Depends: debhelper-compat (= 12),
               libharfbuzz-bin,
               python3-fontforge,
               python3-fonttools
Standards-Version: 4.5.0
Homepage: https://gitlab.com/rit-fonts/Sundar
Rules-Requires-Root: no

Package: fonts-rit-sundar
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ornamental font for Malayalam script
 A traditional orthography ornamental font for Malayalam script created by
 Rachana Institute of Typography (RIT)
 .
 This font is created, named and released in memory of Sundar (Sundar Ramanatha
 Iyer; April 23, 1953 -- November 12, 2016).

=== debian/tests/control ===
Test-Command: make test
Depends: @,
         @builddeps@

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.*v(.*)\/.*/fonts-rit-sundar-$1.tar.gz/ \
https://gitlab.com/rit-fonts/Sundar/tags .*/fonts-rit-sundar-v(.*).tar.gz
